Routes
You're reading version 2025-01-01, which is not the latest. The latest is 2026-04-01: open the 2026-04-01 introduction.
FR · Wealth API · 2025-01-01
Get the current status of a data collection
GEThttps://api.anessa.co/wealth/collection/{collectionId}/status
Returns the current status of an initiated collection of wealth data.
Request
Path Parameters
collectionIdstringrequired
Header Parameters
Insurely-Versionstring
Specifies the API version to use. Must match the version of the endpoint you are targeting.
Possible Enum values are
2025-01-01.Responses
Status successfully fetched.
Body
companystringrequired
Company that this collection is from
extraInformationCollectionStatusInformationMap
A key-value map containing potential extra information, depending on the company the collection is getting data from.
idstringrequired
The collection ID of the request
pollingTimeoutstring[date-time]
The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.
statusstringrequired
Current status of the collection.
Possible Enum values are
RUNNING, LOGIN, TWO_FACTOR_PENDING, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, INCORRECT_TWO_FACTOR_CODE, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.cURL
curl https://api.anessa.co/wealth/collection/{collectionId}/status \
-H "Insurely-Version: 2025-01-01"RESPONSE 200
{
"id": "117a54401a0a1234ac765a85eaee7ea9",
"status": "LOGIN",
"company": "fr-info-retraite",
"extraInformation": {
"FRENCH_AUTHENTICATION_APP_URL": "https://app.trustmeid.io/transaction/0.1?transaction=bc453568-1e63-432c-9957-ae2fc6acb825&brand=FranceConnect",
"FRENCH_AUTHENTICATION_APP_QR_CODE": "R0lGODdhtAC0AIAAAAAAAP///ywAAALg==Lg=="
}
}